## List categories `GET https://getkollek.com/api/collections/{collection}/categories` Retrieve the categories of a collection. A category groups items within a collection, e.g. Marvel within a comics collection, and can be nested. **Permissions:** Any member of the account. ### Path parameters - `collection` (integer, required): The ID of the collection the category belongs to. ### Query parameters - `per_page` (integer, optional): The number of categories to return per page, between 1 and 100. Default: `10`. - `page` (integer, optional): The page number to return. Default: `1`. **Returns:** A paginated list of category objects. ### Example request ```bash curl https://getkollek.com/api/collections/1/categories \ -H "Authorization: Bearer $API_KEY" \ -H "Accept: application/json" ``` ### Example response `Status: 200` ```json { "data": [ { "type": "category", "id": "1", "attributes": { "name": "Marvel", "description": "Key issues and full runs from the 1990s Marvel era.", "collection_id": "1", "parent_id": null, "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/collections/1/categories/1" } }, { "type": "category", "id": "2", "attributes": { "name": "Spider-Man", "description": null, "collection_id": "1", "parent_id": "1", "created_at": 1752537600, "updated_at": 1752537600 }, "links": { "self": "https://getkollek.com/api/collections/1/categories/2" } } ], "links": { "first": "https://getkollek.com/api/collections/1/categories?page=1", "last": "https://getkollek.com/api/collections/1/categories?page=1", "prev": null, "next": null }, "meta": { "current_page": 1, "from": 1, "last_page": 1, "links": [ { "url": null, "label": "« Previous", "active": false }, { "url": "https://getkollek.com/api/collections/1/categories?page=1", "label": "1", "active": true }, { "url": null, "label": "Next »", "active": false } ], "path": "https://getkollek.com/api/collections/1/categories", "per_page": 10, "to": 2, "total": 2 } } ```